Create a text completion
curl --request POST \
--url https://api.tera.gw/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "Qwen/Qwen2.5-7B-Instruct",
"prompt": "<string>",
"max_tokens": 64,
"temperature": 123,
"top_p": 123,
"top_k": 123,
"stop": "<string>",
"seed": 123,
"stream": false
}
'import requests
url = "https://api.tera.gw/v1/completions"
payload = {
"model": "Qwen/Qwen2.5-7B-Instruct",
"prompt": "<string>",
"max_tokens": 64,
"temperature": 123,
"top_p": 123,
"top_k": 123,
"stop": "<string>",
"seed": 123,
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'Qwen/Qwen2.5-7B-Instruct',
prompt: '<string>',
max_tokens: 64,
temperature: 123,
top_p: 123,
top_k: 123,
stop: '<string>',
seed: 123,
stream: false
})
};
fetch('https://api.tera.gw/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "text_completion",
"created": 123,
"model": "<string>",
"choices": [
{
"text": "<string>",
"index": 123,
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}API Reference
Text completions
OpenAI-compatible legacy completions endpoint. Prefer chat completions for new code.
POST
/
v1
/
completions
Create a text completion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I